%global modulename meow

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-meow
Version:        5.0.0
Release:        1%{?dist}
Summary:        CLI app helper

License:        MIT
URL:            https://github.com/sindresorhus/meow#readme
Source0:        https://registry.npmjs.org/meow/-/meow-5.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(camelcase-keys) >= 4.0.0 with npmlib(camelcase-keys) < 5.0.0))
BuildRequires:  ((npmlib(decamelize-keys) >= 1.0.0 with npmlib(decamelize-keys) < 2.0.0))
BuildRequires:  ((npmlib(loud-rejection) >= 1.0.0 with npmlib(loud-rejection) < 2.0.0))
BuildRequires:  ((npmlib(minimist-options) >= 3.0.1 with npmlib(minimist-options) < 4.0.0))
BuildRequires:  ((npmlib(normalize-package-data) >= 2.3.4 with npmlib(normalize-package-data) < 3.0.0))
BuildRequires:  ((npmlib(read-pkg-up) >= 3.0.0 with npmlib(read-pkg-up) < 4.0.0))
BuildRequires:  ((npmlib(redent) >= 2.0.0 with npmlib(redent) < 3.0.0))
BuildRequires:  ((npmlib(trim-newlines) >= 2.0.0 with npmlib(trim-newlines) < 3.0.0))
BuildRequires:  ((npmlib(yargs-parser) >= 10.0.0 with npmlib(yargs-parser) < 11.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
CLI app helper

%package 5.0.0
Summary:        CLI app helper


%description 5.0.0
CLI app helper

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license license
%{nodejs_dir}/%{modulename}

%files 5.0.0
%doc readme.md
%license license
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 5.0.0-1
- Package automatically generated by npm2srpm
